Subject: bug#77921: GIMP does not start

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 23 Apr 2025 11:41:18 +0900

Hi,

Tomas Volf <[email-masked]> writes:

> Hello,
>
> I am trying to run GIMP 3.0 and I am getting the following error during
> querying the plugins:
>
> $ gimp
> set device 'SynPS/2 Synaptics TouchPad' to mode: disabled
> set device 'ELAN901C:00 04F3:2CBD' to mode: disabled
> set device 'TPPS/2 Elan TrackPoint' to mode: disabled
> set device 'Virtual core XTEST pointer' to mode: disabled
> set device 'Logitech Wireless Receiver Mouse' to mode: disabled
> set device 'ZSA Technology Labs Moonlander Mark I Consumer Control' to mode: disabled
> [script-fu-test-sphere-v3] The catalog directory does not exist: /gnu/store/23az04chw8krp183cv272nymalb3ik39-gimp-3.0.0/lib/gimp/3.0/plug-ins/test-sphere-v3/locale
> [script-fu-test-sphere-v3] Override method set_i18n() for the plug-in to customize or disable localization.
> [script-fu-test-sphere-v3] Localization disabled
> /gnu/store/23az04chw8krp183cv272nymalb3ik39-gimp-3.0.0/lib/gimp/3.0/plug-ins/python-eval/python-eval.py: fatal error: Segmentation fault
> /home/wolf/.guix-home/profile/bin/gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): unexpected EOF
> /gnu/store/23az04chw8krp183cv272nymalb3ik39-gimp-3.0.0/lib/gimp/3.0/plug-ins/file-openraster/file-openraster.py: fatal error: Segmentation fault
> /home/wolf/.guix-home/profile/bin/gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): unexpected EOF
>
> (gjs:10924): GLib-GObject-CRITICAL **: 13:32:41.168: cannot register existing type 'GCancellable'
>
> (gjs:10924): GLib-GObject-CRITICAL **: 13:32:41.168: cannot add private field to invalid (non-instantiatable) type '<invalid>'
>
> (gjs:10924): GLib-CRITICAL **: 13:32:41.168: g_once_init_leave_pointer: assertion 'result != 0' failed
> ^C/home/wolf/.guix-home/profile/bin/gimp: terminated: Interrupt
>
> After those GLib-CRITICAL message it just hangs and I have to ^C it.

As some data point, I don't reproduce using GNOME with Wayland.  What is
your environment like?  Do you have some 'guix shell' command to
reproduce the failure?

-- 
Thanks,
Maxim